<ion-content>
    <ion-grid class="resetpwd">
        <ion-row class="ion-justify-content-center ion-padding">
            <ion-col size="auto">
                <app-img
                    src="assets/img/kymia.svg"
                    alt="logo"
                    title="logo"
                    [errorSrc]="cardMedia"
                    class="width-60 height-70 resetpwd__logo"
                ></app-img>
            </ion-col>
        </ion-row>
        <div class="ion-text-center">
            <ion-text class="weight-600 size-18" color="dove-light">
                Réinitialisation mot de passe
            </ion-text>
            <div class="mt-15">
                <ion-text class="size-13 weight-400" color="dove-black">
                    Adresse e-mail associée à votre compte
                </ion-text>
            </div>
        </div>
        <form
            [formGroup]="pwdforgetForm"
            name="pwdforgetForm"
            novalidate
            class="ion-padding-horizontal pb-16 pt-45"
        >
            <ion-row
                class="mt-0 radius-5 ion-align-items-center ion-justify-content-center border-solid border-1 has-border-blue-misty"
            >
                <ion-col size="1.5" class="py-10 ion-text-center">
                    <ion-icon
                        name="mail"
                        fill="clear"
                        class="size-25"
                        color="dove-grey"
                    ></ion-icon>
                </ion-col>
                <ion-col class="pr-13">
                    <ion-input
                        type="text"
                        class="border-1 height-30 border-solid radius-5 has-border-grey-slate ion-padding"
                        placeholder="Adresse email"
                        formControlName="email"
                        data-testid="forgot-email"
                    >
                    </ion-input>
                </ion-col>
            </ion-row>
            <div
                *ngIf="submit.getValue() && f.email.errors"
                class="size-10 mt-5"
            >
                <ion-text
                    *ngIf="f.email.errors.required"
                    color="danger"
                    data-testid="required-email"
                >
                    Le champ email est obligatoire</ion-text
                >
                <ion-text *ngIf="f.email.errors.email" color="danger">
                    L' émail est invalide</ion-text
                >
            </div>

            <ion-text
                color="danger"
                class="size-10"
                data-testid="error-message"
                *ngIf="errorMessage && !submit.getValue()"
            >
                {{ errorMessage }}
            </ion-text>

            <ion-row class="mt-40 ion-justify-content-center">
                <ion-col size="11.75" class="pt-50">
                    <ion-button
                        expand="block"
                        fill="solid"
                        size="large"
                        data-testid="submit"
                        (click)="onSubmit()"
                        (keyPress)="onSubmit()"
                    >
                        <ion-spinner
                            *ngIf="loading.getValue()"
                            ng-hide="showing"
                            class="spinner-energized"
                        ></ion-spinner>
                        <ion-text
                            class="ion-margin-vertical weight-500 ion-text-capitalize"
                            color="white-dove"
                        >
                            Réinitialiser
                        </ion-text>
                    </ion-button>
                </ion-col>
            </ion-row>
        </form>
        <div class="ion-text-center size-14">
            <ion-text color="dove-grey-light">Retourner à la page de</ion-text>
            <ion-text class="weight-500" color="primary" routerLink="/login">
                connexion</ion-text
            >
        </div>
    </ion-grid>
</ion-content>
